/****************************************************************************/
/*  Copyright 2005, Trustees of Indiana University                          */
/*  Author: Sidharth Thakur                                                 */
/*  Last modified: 14 January 2006                                          */
/*  License available at: <belt-trick-* folder>/docs/downloads/License.txt  */
/****************************************************************************/
#ifndef _ALL_
#define _ALL_

///////////////////////////////////////////////////////////////////////////////
//
// $Header:  all.h$
//
// NAME: none
//
// BASE  CLASSES: none
//  
// PURPOSE: Global includes 
//
// AUTHOR: Sidharth Thakur
//
///////////////////////////////////////////////////////////////////////////////

//standard includes
#include <stdlib.h>			//NOTE! if this is after <GL\glut.h> then doesn't 
							//compile as the definitions of the function 'exit'
							//clash. But if it's here, it works fine!
#include <GL/glut.h> 
#include <GL/gl.h>
#include <math.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <vector>

//user defined includes
#include "quaternion.h"
#include "math3D.h"
#include "MyMalloc.h"
#include "structs.h" 
 
#define zap(x) { assert(x != NULL); delete(x); x = NULL; }

 
#endif  
