/****************************************************************************/
/*  Copyright 2005, Trustees of Indiana University                          */
/*  Author: Sidharth Thakur                                                 */
/*  Last modified: 14 January 2006                                          */
/*  License available at: <belt-trick-* folder>/docs/downloads/License.txt  */
/****************************************************************************/
#ifndef _OBJ_BELT_
#define _OBJ_BELT_

#include "MathObject.h" 


void	cleanup					( void );
void	computeBelt0			( double alpha, double t, quaternion* q );	//
void	computeBelt360			( double alpha, double beta, double t, quaternion* q );	//
void	computeBelt720			( double beta,  double gamma, double t, quaternion* q );	//
void	constructBelt			( void );									//
void	displayBelt				( void );									//									
void	displayBeltQuaternionMap( void );									//									
void	initBeltFirst			( MathObject *mathobjRef );					//
void	initBelt				( double quat_angle );						//
void	genSpherePoint			( double radius, double theta, double phi, double* point );
void	genBeltAngles			( int i, double *angles, double *color );	//
void    renderAxes				( void );									//
void    renderThickenedCurve    ( int numpoints, double radius, Vertex *vec ) ;
void    setupBelt               ( void );

#endif

